# threads

Published runtime operations for threads.

Source: cd46e0e78d73497aec99e3e8d33c1fef632f36f9
URL: /reference/http-threads

## threads.get [#threadsget]



````http
GET /threads/:thread
````

| Contract | Value |
| --- | --- |
| Access | Remote and local |
| Execution | read |
| Request body | none |
| Response | json |
| Query parameters | None |

## threads.history [#threadshistory]



````http
GET /threads/:thread/history
````

| Contract | Value |
| --- | --- |
| Access | Remote and local |
| Execution | read |
| Request body | none |
| Response | json |
| Query parameters | `before`, `after`, `around`, `message`, `limit`, `pending` |

## threads.calls [#threadscalls]



````http
GET /threads/:thread/calls
````

| Contract | Value |
| --- | --- |
| Access | Remote and local |
| Execution | read |
| Request body | none |
| Response | json |
| Query parameters | `after`, `before`, `limit`, `details` |

## threads.messages [#threadsmessages]



````http
POST /threads/:thread/messages
````

| Contract | Value |
| --- | --- |
| Access | Remote and local |
| Execution | command |
| Request body | json |
| Response | json |
| Query parameters | None |

## threads.interrupt [#threadsinterrupt]



````http
POST /threads/:thread/interrupt
````

| Contract | Value |
| --- | --- |
| Access | Remote and local |
| Execution | command |
| Request body | json |
| Response | json |
| Query parameters | None |

## threads.close [#threadsclose]



````http
POST /threads/:thread/close
````

| Contract | Value |
| --- | --- |
| Access | Remote and local |
| Execution | command |
| Request body | json |
| Response | json |
| Query parameters | None |
